Bug 996942 - GDT Audit log: bad user experience
GDT Audit log: bad user experience
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity medium
: ER 7
: 6.0.0
Assigned To: Roger Martínez
Zuzana Krejčová
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 06:27 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: base layout, table layout and styles and button styles were malformed. Consequence: Bad user experience Fix: Refactor of the whole aduit log widget. Result: User experience improved.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:19:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
messy log entries (37.41 KB, image/png)
2013-08-14 06:27 EDT, Zuzana Krejčová
no flags Details
overflow (29.90 KB, image/png)
2013-08-14 06:27 EDT, Zuzana Krejčová
no flags Details
"some drastiacally long comment, it just cannot be shortened." (12.72 KB, image/png)
2013-08-14 06:28 EDT, Zuzana Krejčová
no flags Details
Final screenshot of the audit log widget (after this bug refactoring) (44.17 KB, image/png)
2013-10-23 17:05 EDT, Roger Martínez
no flags Details

  None (edit)
Description Zuzana Krejčová 2013-08-14 06:27:20 EDT
Created attachment 786490 [details]
messy log entries

Description of problem:
See screenshot. Log entries look like a pell-mell of text without any order. It's hard to look at, uncomfortable to read and get information out of it. It makes the whole Audit log look quite bad.

The whole Audit log has a different layout than the rest of GUI - starting with the log entries. 

The page navigation could be improved as well - it should be under the list as in the rest of the GUI (bug 996869 - it should also look the same as in the rest of the GUI). 

The drop down list is mentioned already in bug 996917.

The input line for comments should be marked as such - now it is unclear what purpose it has. It is also quite short and cannot handle longer comments - see screenshot.

The log entries also overflow the box they should be contained in - see another screenshot.



Version-Release number of selected component (if applicable):
kie-wb 6.0 CR1
Comment 1 Zuzana Krejčová 2013-08-14 06:27:49 EDT
Created attachment 786491 [details]
overflow
Comment 2 Zuzana Krejčová 2013-08-14 06:28:15 EDT
Created attachment 786492 [details]
"some drastiacally long comment, it just cannot be shortened."
Comment 7 Roger Martínez 2013-10-23 17:02:58 EDT
A whole layout and styles refactor has been performed on GDT - Audit log widget.

	
Summary of changes performed:
============================
	- Changed base layout for the widget.
	- Move simple pager to page down area and centered.
	- Centered events container table.
	- Scroll only displayed on the event log entries area, not full widget.
	- Dropdown list for event types -> was already refactored in bug https://bugzilla.redhat.com/show_bug.cgi?id=996917
	- Removel Bootstrap Well component. Caused some layout problems.
	- Added title to event types.
	- Changes input text for comments to a text area and added helper placeholder with text "Insert your comments here..." (now user should know the textarea purpose for this input)
	- Each row has the event type fired in bold style.
	- Changed icon to bootstrap trash.

NOTES:
======
  - NOTE: Pending to refactor the layout of the audit log entries columns, but this will be performed in the resolution of https://bugzilla.redhat.com/show_bug.cgi?id=996944

  - NOTE: Added final screenshot of the audit log widget.
  - Tested in browsers:
		- Chrome 29.0.1547.65
		- FF 21.0
		- IE 10.0.9200
		- Safari 5.1.7

Commmits
========

- Master - https://github.com/droolsjbpm/drools-wb/commit/f406f3b7d46da8a9531d5cb50c2e02fea29a2d0c

- 6.0.x - https://github.com/droolsjbpm/drools-wb/commit/7e7a4ca80730f5ab030adb48e4a7048266d00a5f
Comment 8 Roger Martínez 2013-10-23 17:05:40 EDT
Created attachment 815565 [details]
Final screenshot of the audit log widget (after this bug refactoring)

Final screenshot of the audit log widget (after this bug refactoring)
Comment 9 Zuzana Krejčová 2013-12-10 09:31:47 EST
You've made some great improvements to this, thanks!

I'd still like to ask for a few more details though:

1. Your screenshot looked nice, but in ER5 I don't see the right edge of the comment input and the trash icon for deleting entries (FF 22).

2. In "Column updated" entry, there is "Columns Updated" presenting the individual changes (4th line, including the entry title)

3. For "Column updated" entries - some fields are mention with a colon (e.g. "Hide column:"), some without (e.g. "Header"). And in general, one log entry with 2 or more changes made to a column can take up a lot of space. Would it be possible to keep 1 change per line in the log entry? What I mean - right now, you can see this:

    Field name: Hide column:
    Old value: true
    New Value: false

    Field name: Field:
    Old value: a
    New Value: this

.. and so on. It might look better like this (while still in a list, formatted and indented as now):
    Hide column: true --> false
This would also make it look more like the "Column inserted" log entry (while still keeping it readable), where you use:
    Field:     a
    Operator:  ==
What do you think?
Comment 10 Roger Martínez 2013-12-10 10:25:47 EST
Hi Zuzana,

Agree with pending look&feel changes. 

Let me contact with Juanma Gonzalez (design&usability) for more details and I will close it as soon as possible.

Thanks!
Comment 11 Roger Martínez 2013-12-13 13:58:24 EST
Hi Zuzana,

As requested I have implemented these changes after discussing with Juanma (design&usability):
	- Textarea size fixed
	- Removed "Columns updated" literal for change events
	- Removed ":" after change event field name.
	- Changed field modified layout -> Ex: Default Value: "12" » "24"
	- Some other design tips

This BZ is related with https://bugzilla.redhat.com/show_bug.cgi?id=996932, so I have done the commits toghehter.

Please note that this fix will be available for next 6.0.X release.

Commits on master
=================

- drools -> https://github.com/droolsjbpm/drools/commit/7c62843d6ad6832f24fd4987307c230ccbdfa749

- drools-wb -> https://github.com/droolsjbpm/drools-wb/commit/64d985a565c02585c0771d2ea8669bb23eee8968

Commits on 6.0.X
================

- drools -> https://github.com/droolsjbpm/drools/commit/1da487614ddd0ee6699a3defd5cb3ff2df005558

- drools-wb -> https://github.com/droolsjbpm/drools-wb/commit/e76ffc10f9c3615aa6ce109e2f6ac597ae1a5b37
Comment 12 Zuzana Krejčová 2014-01-13 12:37:49 EST
Verified with ER7.

I don't think the trash icon is even there, but that's quite unimportant. Great job - it looks so much better now.
Comment 13 Roger Martínez 2014-01-14 06:50:56 EST
Hi Zuzana!

I realised that depending on what user I was connected, the icon appeared or didn't.. so seems that the trash icon appears depending on the user roles, as far as I know :)

(In reply to Zuzana Krejčová from comment #12)
> Verified with ER7.
> 
> I don't think the trash icon is even there, but that's quite unimportant.
> Great job - it looks so much better now.
Comment 14 Zuzana Krejčová 2014-01-14 08:15:37 EST
(In reply to Roger Martínez from comment #13)
> Hi Zuzana!
> 
> I realised that depending on what user I was connected, the icon appeared or
> didn't.. so seems that the trash icon appears depending on the user roles,
> as far as I know :)

Good catch. I've opened a new BZ for that - bug 1052939.

Note You need to log in before you can comment on or make changes to this bug.